This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 219013 - (pdflib-lite) Review Request: pdflib-lite - Portable C library for dynamically generating PDF files
Review Request: pdflib-lite - Portable C library for dynamically generating P...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: php-pecl-pdflib
  Show dependency treegraph
 
Reported: 2006-12-09 06:24 EST by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-14 11:42:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-12-09 06:24:04 EST
Spec URL: http://remi.collet.free.fr/rpms/extras/pdflib-lite.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/pdflib-lite-7.0.0p3-1.fc7.src.rpm
Mock log: http://remi.collet.free.fr/rpms/extras/pdflib-lite-build.log
Description: 
PDFlib is a C library for generating PDF files. It offers a graphics
API with support for drawing, text, fonts, images, and hypertext. Call
PDFlib routines from within your client program and voila: dynamic PDF
files! For detailed instructions on PDFlib programming and the
associated API, see the PDFlib Programming Manual, included in PDF
format in the PDFlib distribution.

-- 
Fisrt purpose is to build "php-pecl-pdflib" to allow on the fly PDF creation from PHP scripts/pages.

I don't know if the "PDFlib Lite License" is acceptable for Extras.
Comment 1 Christopher Stone 2006-12-09 12:43:10 EST
Asked about the license on IRC:
09:10:14       XulChris |
http://www.pdflib.com/products/pdflib-family/pdflib-lite/pdflib-lite-licensing/
 <-- is this license okay for FE?
09:22:51           spot |  XulChris: iirc, no
09:23:18           spot |  commercial use restriction == BAD
09:36:24          tibbs |  Hmm.  pdflib-lite doesn't seem to have a commercial
use restriction when used in open source applications.
09:36:47       XulChris | ya
09:37:08       XulChris | seems like its more GPL than BSD
09:37:13          tibbs |  Doesn't seem any less free than the GPL, certainly.
09:38:24       XulChris | okay, well im going to assume its okay, see bug
#219013 if anyone here sees something wrong with the license

So it looks like it might be okay, will let this bug sit for a few days to see
if there are any objections that come up.
Comment 2 Remi Collet 2006-12-10 05:29:30 EST
> So it looks like it might be okay, will let this bug sit for a few days to see
> if there are any objections that come up.
Good.

It's probably better to have the other language bindings.
So i add support for perl and python (the most used i think)

I have really no experience with ruby, tcl and java, so i don't work on this.

Spec URL: http://remi.collet.free.fr/rpms/extras/pdflib-lite.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/pdflib-lite-7.0.0p3-2.fc7.src.rpm
Mock log: http://remi.collet.free.fr/rpms/extras/pdflib-lite-build.log

Note that only hello, image and pdfclock examples are working with "lite"
version of pdflib.
Comment 3 Patrice Dumas 2006-12-10 05:44:07 EST
I am not convinced that the license is really OSI compatible,
although I am not sure that it isn't OSI compatible.

* about the 'GPL like' part, there is a restriction that the
  code must be on the web. So it may not be compatible with the
  GPL, and I don't now if this doesn't put too much obligation
  on somebody redistributing the code.

* There is also this which doesn't seems to me to be right:

PDF files generated with the program must include the same Producer entry in the
document info
field as those generated with the original (unmodified) program. Changing the
Producer entry renders
this license invalid.

* also there is the "don't remove files clause". It may not be problematic
  if they don't need to be compiled in, still it is a strange condition.

3.2 Source Code Redistribution
Redistributions of source code must include all files which are part of the
original distribution. Omitting one or more files would result in a distribution
which is not compliant with this license.
Comment 4 Rex Dieter 2006-12-14 11:18:57 EST
NOT OSI, this in particular:
"All other uses not mentioned here require a commercial license."

Comment 5 Christopher Stone 2006-12-14 11:27:50 EST
Rex:  You are quoting something that is from a "summary" and not the actual
license.  The actual license is here:
http://www.pdflib.com/fileadmin/pdflib/pdf/license/PDFlib-Lite-license.pdf

In which clause 2.1 excepts open source uses from needed a commercial license.

Please refer to the actual license text if you find something not OSI
compatible.  I apologize for not linking directly to it before.
Comment 6 Rex Dieter 2006-12-14 11:37:54 EST
Doesn't matter.  OSI requires that the license cannot restrict use of the 
software, see items 5,6 on:
http://www.opensource.org/docs/definition.php
which is exactly what pdflib-lite's license (apparently) does: limits use to 
only OSS developers, private non-profit users, or edu/research.
Comment 7 Christopher Stone 2006-12-14 11:42:58 EST
okay. closing as wontfix.  Thanks for the clarification.

Note You need to log in before you can comment on or make changes to this bug.